package com.appiancorp.suiteapi.type;

public class Datatype extends DatatypeProperties implements com.appiancorp.type.DataType {

  public static final String TYPE_PROPERTY_UNION_KEYS = "keys";
  public static final String TYPE_PROPERTY_UNION_TYPES = "types";

  private NamedTypedValue[] instanceProperties = new NamedTypedValue[0];
  private String listViewMapping;
  private NamedTypedValue[] typeProperties = new NamedTypedValue[0];

  public Datatype() {
  }

  public NamedTypedValue[] getInstanceProperties() {
    return instanceProperties;
  }

  public void setInstanceProperties(NamedTypedValue[] instanceProperties) {
    this.instanceProperties = instanceProperties;
  }

  public String getListViewMapping() {
    return listViewMapping;
  }

  public void setListViewMapping(String listViewMapping) {
    this.listViewMapping = listViewMapping;
  }

  public NamedTypedValue getTypeProperty(String name_) {
    return NamedTypedValue.findNtvByName(typeProperties, name_);
  }

  public NamedTypedValue[] getTypeProperties() { return typeProperties; }
  public void setTypeProperties(NamedTypedValue[] typeProperties) {
    this.typeProperties = typeProperties;
  }

  public NamedTypedValue getInstanceProperty(String name_) {
    return NamedTypedValue.findNtvByName(instanceProperties, name_);
  }

}
